cURL
curl --request GET \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/requests/aggregate/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/requests/aggregate/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/requests/aggregate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_stats": {
"request_count": 123,
"timing_ms": {
"mean": 123,
"min": 123,
"max": 123,
"p95": 123
},
"status_code_distribution": {}
},
"route_method_stats": []
}Metrics & Reporting
Get Aggregate Request Metrics
Get aggregate statistics for all authenticated requests. Note that requests which fail to match a valid path are not included in these statistics.
GET
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
reports
/
requests
/
aggregate
/
cURL
Authorizations
Path Parameters
Query Parameters
Filter requests created on or before this datetime
Filter requests created on or after this datetime
⌘I